<!--
 * @Author: zwq
 * @Date: 2022-09-15 10:44:29
 * @LastEditors: zwq
 * @LastEditTime: 2022-09-16 13:52:21
 * @Description: 
-->
<template>
  <el-form
    style="display: flex; align-items: center; justify-content: right;"
    :inline="true"
    :model="dataForm"
    @keyup.enter.native="getDataList()"
  >
    <el-form-item>
      <el-input size="small" v-model="dataForm.name" clearable placeholder="请输入名称查询" />
    </el-form-item>
    <el-form-item>
      <el-input size="small" v-model="dataForm.code" clearable placeholder="请输入编码查询" />
    </el-form-item>
    <el-form-item>
      <el-button size="small" @click="getDataList()">
        <svg class="icon-svg"><use xlink:href="#icon-sousuo"></use></svg>
        查询
      </el-button>
      <el-button size="small" type="primary" @click="addOrUpdateHandle()">
        <svg class="icon-svg"><use xlink:href="#icon-新建"></use></svg>
        新增
      </el-button>
      <el-button size="small" type="primary" @click="exportHandle()">
        <svg class="icon-svg">
          <use xlink:href="#导出"></use>
        </svg>
        导出
      </el-button>
    </el-form-item>
  </el-form>
</template>
<script>
export default {
  props: {
    pageName: {
      type: String,
      default: () => {
        return "";
      },
    },
    dataForm: {
      type: Object,
      default: () => {
        return {};
      },
    },
  },
  data() {
    return {
    };
  },
  methods: {
    getDataList() {
      this.$emit("getDataList");
    },
    addOrUpdateHandle() {
      this.$emit("addOrUpdateHandle");
    },
    exportHandle() {
      this.$emit("exportHandle", this.pageName);
    },
  },
};
</script>

<style></style>
